<template>
  <div class="verification-banner">
    <div class="centered-text" >{{ message }}</div>
    <v-btn
        class="verification-banner__resend dark-btn"
        height="50"
        width="250"
        @click="sendVerification"
        :disabled="submitted">
      Resend verification</v-btn>
  </div>
</template>

<script>
import { RequestAccountVerification } from '@/api/auth'
import { mapGetters } from 'vuex'

export default {
  name: 'VerificationBanner',

  data() {
    return {
      submitted: false,
      message: "Please verify your email to start work"
    }
  },

  methods: {
    ...mapGetters([
      'userID'
    ]),

    async sendVerification() {
      const status = await RequestAccountVerification(this.userID())
      if (!status) {
        return
      }

      if (status === 200) {
        this.$toasted.success('Verification was sent')
      } else {
        this.$toasted.error('Oh no... Something bad happened')
      }
    }
  }
}
</script>

<style>
.centered-text {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);

  font-family: Roboto, fantasy;
  font-weight: normal;
  font-size: 30px;
}

.verification-banner__resend {
  position: absolute !important;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  margin-top: 80px;

  font-size: 18px !important;
}
</style>
